com.independentsoft.exchange

## Class MessageTrackingSearchResult

- java.lang.Object
- - com.independentsoft.exchange.MessageTrackingSearchResult

-     public class MessageTrackingSearchResult
      extends java.lang.Object

  Contains a single message result for a FindMessageTrackingReportResponse element.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessageTrackingReportId()` Gets an internal ID that identifies the message in the transport database.
    `java.lang.String` | `getPreviousHopServer()` Gets the name of the server in the forest that previously accepted the message.
    `Mailbox` | `getPurportedSender()` Gets contact information for the alleged sender of an e-mail message.
    `java.util.List<Mailbox>` | `getRecipients()` Gets a list of e-mail addresses that received this message.
    `Mailbox` | `getSender()` Gets the e-mail message sender's address.
    `java.lang.String` | `getSubject()` Gets the e-mail message subject.
    `java.util.Date` | `getSubmittedTime()` Gets the time that the message was submitted.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSubject

          public java.lang.String getSubject()

      Gets the e-mail message subject.
      Returns:
        the subject

    - #### getSender

          public Mailbox getSender()

      Gets the e-mail message sender's address.
      Returns:
        the sender

    - #### getPurportedSender

          public Mailbox getPurportedSender()

      Gets contact information for the alleged sender of an e-mail message.
      Returns:
        the purported sender

    - #### getRecipients

          public java.util.List<Mailbox> getRecipients()

      Gets a list of e-mail addresses that received this message.
      Returns:
        the recipients

    - #### getSubmittedTime

          public java.util.Date getSubmittedTime()

      Gets the time that the message was submitted.
      Returns:
        the submitted time

    - #### getMessageTrackingReportId

          public java.lang.String getMessageTrackingReportId()

      Gets an internal ID that identifies the message in the transport database.
      Returns:
        the message tracking report id

    - #### getPreviousHopServer

          public java.lang.String getPreviousHopServer()

      Gets the name of the server in the forest that previously accepted the message.
      Returns:
        the previous hop server